tristate
default n
depends BR2_PACKAGE_ATFTP || BR2_PACKAGE_ATFTPD
tristate
default n
depends BR2_PACKAGE_ATFTP || BR2_PACKAGE_ATFTPD
+ select BR2_PACKAGE_LIBREADLINE
config BR2_PACKAGE_ATFTP
prompt "atftp............................. TFTP client"
config BR2_PACKAGE_ATFTP
prompt "atftp............................. TFTP client"
Priority: optional
Section: net
Description: tftp client
Priority: optional
Section: net
Description: tftp client
Priority: optional
Section: net
Description: tftp server
Priority: optional
Section: net
Description: tftp server
--- /dev/null
+#!/bin/sh
+grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then
+ echo "tftp 69/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp 69/udp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp-mcast 1758/tcp" >>${IPKG_INSTROOT}/etc/services
+ echo "tftp-mcast 1758/udp" >>${IPKG_INSTROOT}/etc/services
+fi